#!/bin/bash
pd="/proc/driver/wm8750"
cf="/etc/wm8750.conf"
states="dac_6db_attenuation \
bass_intensity bass_cutoff_high \
treble_intensity treble_cutoff_low \
s3denh_enabled s3denh_depth s3denh_lower_cutoff_high s3denh_upper_cutoff_low \
headphone_autodetect headphone_state"

case $1 in
	stop | save)  
		rm -f $cf
		for state in `echo $states`; do
			echo "$state=$(cat $pd/$state)" >> $cf
		done;;
	start | load)
		source $cf
		for state in `echo $states`; do
			echo ${!state} > $pd/$state
		done;;
	*   ) 
		echo "Usage: $0 {save|load}";;
esac
